--------------------------------------------------------
--  DDL for Table AJUDA
--------------------------------------------------------

  CREATE TABLE "PFC"."AJUDA" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR), 
	"DATAALTA" DATE, 
	"DESCRIPCIO" VARCHAR2(3000 CHAR), 
	"NIVELLID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table AJUDAUSUARI
--------------------------------------------------------

  CREATE TABLE "PFC"."AJUDAUSUARI" 
   (	"ID" NUMBER, 
	"AJUDAID" NUMBER, 
	"USUARIID" NUMBER, 
	"IMPORT" NUMBER, 
	"DATACOMPRA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table CONFIGURACIO
--------------------------------------------------------

  CREATE TABLE "PFC"."CONFIGURACIO" 
   (	"PREUVIDA" NUMBER, 
	"PREUAJUDA" NUMBER, 
	"VIDESMINIMES" NUMBER(*,0), 
	"ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table LOG
--------------------------------------------------------

  CREATE TABLE "PFC"."LOG" 
   (	"ID" NUMBER, 
	"DATA" DATE, 
	"PROCEDIMENT" VARCHAR2(50 CHAR), 
	"PARAMETRES" VARCHAR2(1000 CHAR), 
	"RESULTAT" NUMBER, 
	"MISSATGE" VARCHAR2(4000 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table NIVELL
--------------------------------------------------------

  CREATE TABLE "PFC"."NIVELL" 
   (	"ID" NUMBER, 
	"DIFICULTAT" NUMBER, 
	"DATACREACIO" DATE, 
	"NIVELLANTERIORID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table NIVELLDESBLOQUEJAT
--------------------------------------------------------

  CREATE TABLE "PFC"."NIVELLDESBLOQUEJAT" 
   (	"ID" NUMBER, 
	"NIVELLID" NUMBER, 
	"USUARIID" NUMBER, 
	"DATA" DATE, 
	"PARTIDAID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table PAIS
--------------------------------------------------------

  CREATE TABLE "PFC"."PAIS" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR), 
	"ABREVIATURA" VARCHAR2(10 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table PARTIDA
--------------------------------------------------------

  CREATE TABLE "PFC"."PARTIDA" 
   (	"ID" NUMBER, 
	"DATAINICI" DATE, 
	"DATAFINAL" DATE, 
	"USUARIID" NUMBER, 
	"PLATAFORMAID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table PLATAFORMA
--------------------------------------------------------

  CREATE TABLE "PFC"."PLATAFORMA" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TIPUSVIDA
--------------------------------------------------------

  CREATE TABLE "PFC"."TIPUSVIDA" 
   (	"ID" NUMBER, 
	"DESCRIPCIO" VARCHAR2(50 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table USUARI
--------------------------------------------------------

  CREATE TABLE "PFC"."USUARI" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(50 CHAR), 
	"COGNOMS" VARCHAR2(200 CHAR), 
	"EMAIL" VARCHAR2(100 CHAR), 
	"CONTRASENYA" VARCHAR2(20 CHAR), 
	"DATANAIXEMENT" DATE, 
	"SEXE" NUMBER, 
	"DATAALTA" DATE, 
	"ACTIU" NUMBER, 
	"PAISID" NUMBER, 
	"USERNAME" VARCHAR2(50 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table VIDA
--------------------------------------------------------

  CREATE TABLE "PFC"."VIDA" 
   (	"ID" NUMBER, 
	"DATACARREGA" DATE, 
	"TIPUSVIDAID" NUMBER, 
	"IMPORT" NUMBER, 
	"USUARIPROPIETARIID" NUMBER, 
	"USUARICESSIOID" NUMBER, 
	"NIVELLGASTADAID" NUMBER, 
	"DATAGASTADA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index NOM_UNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."NOM_UNIQUE" ON "PFC"."AJUDA" ("NOM") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index AJUDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."AJUDA_PK" ON "PFC"."AJUDA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index AJUDAUSUARI_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."AJUDAUSUARI_PK" ON "PFC"."AJUDAUSUARI" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index AJUDA_USUARI_UNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."AJUDA_USUARI_UNIQUE" ON "PFC"."AJUDAUSUARI" ("AJUDAID", "USUARIID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CONFIGURACIO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."CONFIGURACIO_PK" ON "PFC"."CONFIGURACIO" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index LOG_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."LOG_PK" ON "PFC"."LOG" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index NIVELL_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."NIVELL_PK" ON "PFC"."NIVELL" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index NIVELLDESBLOQUEJAT_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."NIVELLDESBLOQUEJAT_PK" ON "PFC"."NIVELLDESBLOQUEJAT" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index NIVELL_USUARI_UNIQUE
--------------------------------------------------------

  CREATE INDEX "PFC"."NIVELL_USUARI_UNIQUE" ON "PFC"."NIVELLDESBLOQUEJAT" ("NIVELLID", "USUARIID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PAIS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."PAIS_PK" ON "PFC"."PAIS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PAISNOMUNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."PAISNOMUNIQUE" ON "PFC"."PAIS" ("NOM") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PAISABREVIATURAUNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."PAISABREVIATURAUNIQUE" ON "PFC"."PAIS" ("ABREVIATURA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PARTIDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."PARTIDA_PK" ON "PFC"."PARTIDA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PLATAFORMA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."PLATAFORMA_PK" ON "PFC"."PLATAFORMA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index TIPUSVIDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."TIPUSVIDA_PK" ON "PFC"."TIPUSVIDA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index USUARI_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."USUARI_PK" ON "PFC"."USUARI" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index USUARI_EMAIL_UNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."USUARI_EMAIL_UNIQUE" ON "PFC"."USUARI" ("EMAIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index USUARI_UK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."USUARI_UK1" ON "PFC"."USUARI" ("USERNAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index VIDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC"."VIDA_PK" ON "PFC"."VIDA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table AJUDA
--------------------------------------------------------

  ALTER TABLE "PFC"."AJUDA" MODIFY ("NIVELLID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDA" ADD CONSTRAINT "NOM_UNIQUE" UNIQUE ("NOM")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."AJUDA" ADD CONSTRAINT "AJUDA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."AJUDA" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDA" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table AJUDAUSUARI
--------------------------------------------------------

  ALTER TABLE "PFC"."AJUDAUSUARI" ADD CONSTRAINT "AJUDA_USUARI_UNIQUE" UNIQUE ("AJUDAID", "USUARIID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."AJUDAUSUARI" ADD CONSTRAINT "AJUDAUSUARI_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."AJUDAUSUARI" MODIFY ("DATACOMPRA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDAUSUARI" MODIFY ("IMPORT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDAUSUARI" MODIFY ("USUARIID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDAUSUARI" MODIFY ("AJUDAID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."AJUDAUSUARI" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CONFIGURACIO
--------------------------------------------------------

  ALTER TABLE "PFC"."CONFIGURACIO" ADD CONSTRAINT "CONFIGURACIO_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."CONFIGURACIO" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table LOG
--------------------------------------------------------

  ALTER TABLE "PFC"."LOG" ADD CONSTRAINT "LOG_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."LOG" MODIFY ("RESULTAT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."LOG" MODIFY ("PROCEDIMENT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."LOG" MODIFY ("DATA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."LOG" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table NIVELL
--------------------------------------------------------

  ALTER TABLE "PFC"."NIVELL" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELL" ADD CONSTRAINT "NIVELL_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."NIVELL" MODIFY ("DATACREACIO" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELL" MODIFY ("DIFICULTAT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELL" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table NIVELLDESBLOQUEJAT
--------------------------------------------------------

  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" ADD CONSTRAINT "NIVELL_USUARI_UNIQUE" UNIQUE ("NIVELLID", "USUARIID") DEFERRABLE
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE NOVALIDATE;
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" ADD CONSTRAINT "NIVELLDESBLOQUEJAT_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" MODIFY ("PARTIDAID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" MODIFY ("DATA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" MODIFY ("USUARIID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" MODIFY ("NIVELLID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PAIS
--------------------------------------------------------

  ALTER TABLE "PFC"."PAIS" ADD CONSTRAINT "PAISABREVIATURAUNIQUE" UNIQUE ("ABREVIATURA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."PAIS" ADD CONSTRAINT "PAISNOMUNIQUE" UNIQUE ("NOM")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."PAIS" ADD CONSTRAINT "PAIS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."PAIS" MODIFY ("ABREVIATURA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PAIS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PAIS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PARTIDA
--------------------------------------------------------

  ALTER TABLE "PFC"."PARTIDA" ADD CONSTRAINT "PARTIDA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."PARTIDA" MODIFY ("PLATAFORMAID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PARTIDA" MODIFY ("USUARIID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PARTIDA" MODIFY ("DATAINICI" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PARTIDA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PLATAFORMA
--------------------------------------------------------

  ALTER TABLE "PFC"."PLATAFORMA" ADD CONSTRAINT "PLATAFORMA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."PLATAFORMA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC"."PLATAFORMA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TIPUSVIDA
--------------------------------------------------------

  ALTER TABLE "PFC"."TIPUSVIDA" ADD CONSTRAINT "TIPUSVIDA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."TIPUSVIDA" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "PFC"."TIPUSVIDA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USUARI
--------------------------------------------------------

  ALTER TABLE "PFC"."USUARI" ADD CONSTRAINT "USUARI_USERNAME_UNIQUE" UNIQUE ("USERNAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."USUARI" MODIFY ("USERNAME" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" ADD CONSTRAINT "USUARI_EMAIL_UNIQUE" UNIQUE ("EMAIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."USUARI" ADD CONSTRAINT "USUARI_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."USUARI" MODIFY ("PAISID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("ACTIU" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("SEXE" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("DATANAIXEMENT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("CONTRASENYA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("EMAIL" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("COGNOMS" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC"."USUARI" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table VIDA
--------------------------------------------------------

  ALTER TABLE "PFC"."VIDA" MODIFY ("IMPORT" NOT NULL ENABLE);
  ALTER TABLE "PFC"."VIDA" ADD CONSTRAINT "VIDA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC"."VIDA" MODIFY ("USUARIPROPIETARIID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."VIDA" MODIFY ("TIPUSVIDAID" NOT NULL ENABLE);
  ALTER TABLE "PFC"."VIDA" MODIFY ("DATACARREGA" NOT NULL ENABLE);
  ALTER TABLE "PFC"."VIDA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table AJUDA
--------------------------------------------------------

  ALTER TABLE "PFC"."AJUDA" ADD CONSTRAINT "NIVELL_FK" FOREIGN KEY ("NIVELLID")
	  REFERENCES "PFC"."NIVELL" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table AJUDAUSUARI
--------------------------------------------------------

  ALTER TABLE "PFC"."AJUDAUSUARI" ADD CONSTRAINT "AJUDAUSUARI_AJUDA_FK" FOREIGN KEY ("AJUDAID")
	  REFERENCES "PFC"."AJUDA" ("ID") ENABLE;
  ALTER TABLE "PFC"."AJUDAUSUARI" ADD CONSTRAINT "AJUDAUSUARI_USUARI_FK" FOREIGN KEY ("USUARIID")
	  REFERENCES "PFC"."USUARI" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table NIVELL
--------------------------------------------------------

  ALTER TABLE "PFC"."NIVELL" ADD CONSTRAINT "NIVELL_ANTERIOR_FK" FOREIGN KEY ("NIVELLANTERIORID")
	  REFERENCES "PFC"."NIVELL" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table NIVELLDESBLOQUEJAT
--------------------------------------------------------

  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" ADD CONSTRAINT "NIVELLDESBLOQUEJAT_NIVELL_FK" FOREIGN KEY ("NIVELLID")
	  REFERENCES "PFC"."NIVELL" ("ID") ENABLE;
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" ADD CONSTRAINT "NIVELLDESBLOQUEJAT_PARTIDA_FK" FOREIGN KEY ("PARTIDAID")
	  REFERENCES "PFC"."PARTIDA" ("ID") ENABLE;
  ALTER TABLE "PFC"."NIVELLDESBLOQUEJAT" ADD CONSTRAINT "NIVELLDESBLOQUEJAT_USUARI_FK" FOREIGN KEY ("USUARIID")
	  REFERENCES "PFC"."USUARI" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PARTIDA
--------------------------------------------------------

  ALTER TABLE "PFC"."PARTIDA" ADD CONSTRAINT "PARTIDA_PLATAFORMA_FK" FOREIGN KEY ("PLATAFORMAID")
	  REFERENCES "PFC"."PLATAFORMA" ("ID") ENABLE;
  ALTER TABLE "PFC"."PARTIDA" ADD CONSTRAINT "PARTIDA_USUARI_FK" FOREIGN KEY ("USUARIID")
	  REFERENCES "PFC"."USUARI" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table USUARI
--------------------------------------------------------

  ALTER TABLE "PFC"."USUARI" ADD CONSTRAINT "USUARI_PAIS_FK" FOREIGN KEY ("PAISID")
	  REFERENCES "PFC"."PAIS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table VIDA
--------------------------------------------------------

  ALTER TABLE "PFC"."VIDA" ADD CONSTRAINT "VIDACEDIDA_FK" FOREIGN KEY ("USUARICESSIOID")
	  REFERENCES "PFC"."USUARI" ("ID") ENABLE;
  ALTER TABLE "PFC"."VIDA" ADD CONSTRAINT "VIDA_GASTADA_NIVELL_FK" FOREIGN KEY ("NIVELLGASTADAID")
	  REFERENCES "PFC"."NIVELL" ("ID") ENABLE;
  ALTER TABLE "PFC"."VIDA" ADD CONSTRAINT "VIDA_TIPUSVIDA_FK" FOREIGN KEY ("TIPUSVIDAID")
	  REFERENCES "PFC"."TIPUSVIDA" ("ID") ENABLE;
  ALTER TABLE "PFC"."VIDA" ADD CONSTRAINT "VIDA_USUARI_FK" FOREIGN KEY ("USUARIPROPIETARIID")
	  REFERENCES "PFC"."USUARI" ("ID") ENABLE;
--------------------------------------------------------
--  DDL for Trigger AJUDAPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."AJUDAPKTRIGGER" 
BEFORE INSERT ON AJUDA FOR EACH ROW
BEGIN
  SELECT IDAJUDA.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."AJUDAPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger AJUDAUSUARIPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."AJUDAUSUARIPKTRIGGER" 
BEFORE INSERT ON AJUDAUSUARI FOR EACH ROW
BEGIN
  SELECT IDAJUDAUSUARI.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."AJUDAUSUARIPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger LOGPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."LOGPKTRIGGER" 
BEFORE INSERT ON LOG FOR EACH ROW
BEGIN
  SELECT IDLOG.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."LOGPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger NIVELLPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."NIVELLPKTRIGGER" 
BEFORE INSERT ON NIVELL FOR EACH ROW
BEGIN
  SELECT IDNIVELL.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."NIVELLPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger NIVELLDESBLOQUEJATPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."NIVELLDESBLOQUEJATPKTRIGGER" 
BEFORE INSERT ON NIVELLDESBLOQUEJAT FOR EACH ROW
BEGIN
  SELECT IDNIVELLDESBLOQUEJAT.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."NIVELLDESBLOQUEJATPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger PAISPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."PAISPKTRIGGER" 
BEFORE INSERT ON PAIS for each row
BEGIN
  select IDPAIS.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."PAISPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger PARTIDAPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."PARTIDAPKTRIGGER" 
BEFORE INSERT ON PARTIDA FOR EACH ROW
BEGIN
  SELECT IDPARTIDA.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."PARTIDAPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger PLATAFORMAPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."PLATAFORMAPKTRIGGER" 
BEFORE INSERT ON PLATAFORMA FOR EACH ROW
BEGIN
  SELECT IDPLATAFORMA.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."PLATAFORMAPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger USUARIPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."USUARIPKTRIGGER" 
BEFORE INSERT ON USUARI FOR EACH ROW
BEGIN
  SELECT IDUSUARI.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."USUARIPKTRIGGER" ENABLE;
--------------------------------------------------------
--  DDL for Trigger VIDAPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC"."VIDAPKTRIGGER" 
BEFORE INSERT ON VIDA FOR EACH ROW
BEGIN
  SELECT IDVIDA.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC"."VIDAPKTRIGGER" ENABLE;
